v1-platform
Participant Events
Participant Events
curl --request POST \
--url https://api.example.com/v1/participant/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"events": [
{
"client_event_id": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"answer": {},
"elapsed_ms": 43200000,
"metadata": {},
"previous_answer": {},
"question_id": "<string>"
}
]
}
'import requests
url = "https://api.example.com/v1/participant/events"
payload = { "events": [
{
"client_event_id": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"answer": {},
"elapsed_ms": 43200000,
"metadata": {},
"previous_answer": {},
"question_id": "<string>"
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
events: [
{
client_event_id: '<string>',
occurred_at: '2023-11-07T05:31:56Z',
answer: {},
elapsed_ms: 43200000,
metadata: {},
previous_answer: {},
question_id: '<string>'
}
]
})
};
fetch('https://api.example.com/v1/participant/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"accepted": true,
"client_event_id": "<string>",
"idempotent_replay": true
}
]
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
Short-lived token bound to one participant session.
Headers
Required string length:
1 - 255Body
application/json
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Participant Events
